# tbb::flow::interface6::function_node< Input, Output, queueing, Allocator > Class Template Reference

Implements a function node that supports Input -> Output. More...

`#include <flow_graph.h>`

Inheritance diagram for tbb::flow::interface6::function_node< Input, Output, queueing, Allocator >:

List of all members.

## Public Types
typedef Input | input_type
typedef Output | output_type
typedef sender< input_type > | predecessor_type
typedef receiver< output_type > | successor_type
typedef internal::function_input < input_type, output_type, Allocator > | fInput_type
typedef internal::function_input_queue < input_type, Allocator > | queue_type
typedef internal::function_output < output_type > | fOutput_type
## Public Member Functions
template<typename Body >
| function_node (graph &g, size_t concurrency, Body body)
| Constructor.
| function_node (const function_node &src)
| Copy constructor.
## Protected Member Functions
void | reset ()
internal::broadcast_cache < output_type > & | successors ()
## Friends
class | run_and_put_task
class | internal::broadcast_cache
class | internal::round_robin_cache

## Detailed Description

### template<typename Input, typename Output, typename Allocator>
class tbb::flow::interface6::function_node< Input, Output, queueing, Allocator >

Implements a function node that supports Input -> Output.

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.